//
#include "AJo.h"


//
// --------------------------------------------------------------------------------------
void InitUSB(void)
{
	//
	UCFG = 0x00;

	UCFGbits.PPB0 = 0;			// Ping-Pong buffers mode
	UCFGbits.PPB1 = 0;

	UCFGbits.FSEN = 1;			// Fullspeed enabled
	UCFGbits.UTRDIS = 0;		// Internal transceiver enabled
	UCFGbits.UPUEN = 1;			// Internal pullup resistors enabled

	UCFGbits.UOEMON = 0;		// Disable signal on pin 12 - RC1/.../_UOE
	UCFGbits.UTEYE = 0;			// Eye pattern, used to see test ~ signal on bus
								// with oscilloscope ;-)
	//
    UCON = 0;
   	UIE = 0;                                // Mask all USB interrupts


	UEP0=0x00;					// Clear endpoints
	UEP1=0x00;UEP2=0x00;UEP3=0x00;
    UEP4=0x00;UEP5=0x00;UEP6=0x00;UEP7=0x00;
    UEP8=0x00;UEP9=0x00;UEP10=0x00;UEP11=0x00;
    UEP12=0x00;UEP13=0x00;UEP14=0x00;UEP15=0x00;
}
